eoBitOpFactory(3)

NAME
eoBitOpFactory - EO Factory.

SYNOPSIS

#include <eoBitOpFactory.h>

Inherits eoFactory< EOT >.

  Public Member Functions
virtual eoOp< EOT > * make (std::istream &_is)
Another factory method: creates an object from an std::istream, reading from it whatever is needed to create the object.

ctors and dtors
eoBitOpFactory ()
constructor
virtual ~eoBitOpFactory ()
destructor

Detailed Description

  template<class EOT> class eoBitOpFactory< EOT >
EO Factory. An instance of the factory class to create operators that act on bitstring chromosomes. Only those chromosomes can instantiate the operators that are created here

See also:
    eoSelect

Definition at line 39 of file eoBitOpFactory.h.

Member Function Documentation

  template<class EOT> virtual eoOp<EOT>* eoBitOpFactory< EOT >::make (std::istream & _is) [inline, virtual]

Another factory method: creates an object from an std::istream, reading from it whatever is needed to create the object.

Usually, the format for the std::istream will be\ objectType parameter1 parameter2 ... parametern\ If there are problems, an std::exception is raised; it should be caught at the upper level, because it might be something for that level\ At the same time, it catches std::exceptions thrown at a lower level, which will indicate that whatever is in the stream is for this method to process

Parameters:
    _is an stream from where a single line will be read

Exceptions:
    runtime_std::exception if the object type is not known

Implements eoFactory< EOT >.

Definition at line 63 of file eoBitOpFactory.h.

References eoFactory< EOClass >::make().

Author

Generated automatically by Doxygen for EO from the source code.